GET /v1/fx
Exchange rate
Exchange rate
NBU official rate for any pair with UAH, ECB for the rest, cross rates otherwise. Requires scope read:pricing.
- Authentication: header
Authorization: Bearer rv_live_...(API keys and scopes) - Required scope:
read:pricing
openapi.json).Parameters
| Field | In | Type | Required | Description |
|---|---|---|---|---|
base | query | string | yes | ISO-4217 base currency, e.g. EUR. |
quote | query | string | yes | ISO-4217 quote currency, e.g. UAH. |
date | query | string | no | Rate date (yyyy-mm-dd). Default: latest. Weekends/holidays return the previous working day (stale: true). |
Responses
200
Exchange rate.
application/json · Schema: FxResponse
| Field | Type | Required | Description |
|---|---|---|---|
base | string | yes | |
quote | string | yes | |
rate | number | yes | 1 base = rate quote. |
requested_date | string | yes | |
effective_date | string | yes | |
stale | boolean | yes | true if effective_date differs from requested_date. |
source | string | yes | nbu | ecb | nbu-cross | identity | mock. |
mode | "live" | "test" | "mock" | yes |
400
Invalid request parameters or body (code validation_error).
application/problem+json · Schema: Problem
401
Missing, malformed, unknown, revoked or expired API key (code unauthorized).
application/problem+json · Schema: Problem
403
The API key lacks the scope required by this endpoint (code insufficient_scope).
application/problem+json · Schema: Problem
422
Date in the future or no rate for the pair.
application/problem+json · Schema: Problem
429
Rate limit exceeded for the tenant plan (code rate_limited). Wait Retry-After seconds.
application/problem+json · Schema: Problem
502
Rate provider unavailable.
application/problem+json · Schema: Problem
Example
curl -s "https://api.importos.app/v1/fx?base=EUR"e=UAH" \
-H "Authorization: Bearer $IMPORTOS_API_KEY"